CUTLASS: cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand::kA, Element_, cutlass::layout::VoltaTensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value >, InstructionShape_, OpDelta_, 32 >::Policy Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand::kA, Element_, cutlass::layout::VoltaTensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value >, InstructionShape_, OpDelta_, 32 >::Policy Struct Reference

Internal structure of iterator - made public to enable introspection.

`#include <mma_tensor_op_tile_iterator_sm70.h>`

## Public Types
using | LdsShape = layout::PitchLinearShape< 32, 4 >
using | LdsIterations = layout::PitchLinearShape< InstructionShape::kStrided/LdsShape::kStrided, Shape::kContiguous/LdsShape::kContiguous >

## Member Typedef Documentation

template<typename Shape_ , typename Element_ , typename InstructionShape_ , int OpDelta_>

using cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand::kA, Element_, cutlass::layout::VoltaTensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value >, InstructionShape_, OpDelta_, 32 >::Policy::LdsIterations = layout::PitchLinearShape< InstructionShape::kStrided / LdsShape::kStrided, Shape::kContiguous / LdsShape::kContiguous >

template<typename Shape_ , typename Element_ , typename InstructionShape_ , int OpDelta_>

using cutlass::gemm::warp::MmaVoltaTensorOpMultiplicandTileIterator< Shape_, Operand::kA, Element_, cutlass::layout::VoltaTensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value >, InstructionShape_, OpDelta_, 32 >::Policy::LdsShape = layout::PitchLinearShape< 32, 4 >

The documentation for this struct was generated from the following file:

- mma_tensor_op_tile_iterator_sm70.h